Bug 1097021 - [RFE] qemu-img: Add/improve Disk2VHD tools creating VHDX images
Summary: [RFE] qemu-img: Add/improve Disk2VHD tools creating VHDX images
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.5
Hardware: All
OS: All
medium
medium
Target Milestone: rc
: ---
Assignee: Jeff Cody
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 1097020
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-13 02:15 UTC by Sibiao Luo
Modified: 2016-04-26 13:31 UTC (History)
21 users (show)

(edit)
Clone Of: 1097020
(edit)
Last Closed: 2014-10-14 06:59:41 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1490 normal SHIPPED_LIVE qemu-kvm bug fix and enhancement update 2014-10-14 01:28:27 UTC

Comment 1 Sibiao Luo 2014-05-13 02:16:39 UTC
Host info:
# uname -r && rpm -q qemu-kvm-rhev
2.6.32-448.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.424.el6.x86_64

# qemu-img info SERVERIS.VHDX
No valid VHDX header found
Could not open 'SERVERIS.VHDX': Invalid argument

# qemu-img convert -p -f vhdx SERVERIS.VHDX -O qcow2 serveris.qcow2
No valid VHDX header found
Could not open 'SERVERIS.VHDX': Invalid argument
Could not open 'SERVERIS.VHDX'

Best Regards,
sluo

Comment 3 Miroslav Rezanina 2014-07-04 07:09:44 UTC
Fix included in qemu-kvm-0.12.1.2-2.429.el6

Comment 5 Sibiao Luo 2014-07-09 05:45:54 UTC
verify this issue on qemu-kvm-rhev-0.12.1.2-2.430.el6.x86_64.

host info:
# uname -r && rpm -q qemu-kvm-rhev
2.6.32-448.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.430.el6.x86_64

# qemu-img info /home/SERVERIS.VHDX 
image: /home/SERVERIS.VHDX
file format: vhdx
virtual size: 1.0G (1073741824 bytes)
disk size: 22M
# qemu-img convert -p -f vhdx SERVERIS.VHDX -O qcow2 serveris.qcow2
    (100.00/100%)
# qemu-img info serveris.qcow2
image: serveris.qcow2
file format: qcow2
virtual size: 1.0G (1073741824 bytes)
disk size: 7.9M
cluster_size: 65536
# qemu-img convert -p -f vhdx SERVERIS.VHDX -O raw serveris.raw
    (100.00/100%)
# qemu-img info serveris.raw
image: serveris.raw
file format: raw
virtual size: 1.0G (1073741824 bytes)
disk size: 7.3M

Base on above, this issue has been fixed correctly, move to VERIFIED status.

Best Regards,
sluo

Comment 6 errata-xmlrpc 2014-10-14 06:59:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1490.html


Note You need to log in before you can comment on or make changes to this bug.